<app-header></app-header>

<div class="content ">
    <h2>Home history</h2>
    <app-barchart *ngIf="chartData" [data]="chartData"></app-barchart>
    <div class="d3-chart" id="chart">
    </div>

<br>
<table class="table table-hover">
    <thead>
        <tr>
            <th class='next_bloc'>Time</th>
            <th class='next_bloc'>Evt type</th>
            <th>Agent</th>
            <th>Begin</th>
            <th>End</th>
            <th>Power(W)</th>
            <th class=" next_bloc">Requested(W)</th>
            <th>Produced(W)</th>
            <th>Provided(W)</th>
            <th>Consumed(W)</th>
            <th>Available(W)</th>
            <th>Missing(W)</th>
            <th class='next_bloc'>Unsatisfied consumers</th>
            <th class=''>Warnings unsatisfied</th>
            <th>(Min)</th>
            <!-- <th>Contract Doublon</th>-->
            <th class='next_bloc' style="min-width:800px"> Offers
              <button id='btDisplayAllOffers'  size="20"  (click)="displayAllOffers(true);">display</button>
              <button id='btHideAllOffers'  size="20"  (click)="displayAllOffers(false);">hide</button>
            </th>
        </tr>
    </thead>
<tbody>
    <tr *ngFor="let homeTotal of homeTotalHistoryDisplay" scope="row">
          <td class='center next_bloc' *ngIf= "homeTotal.rowspan > 0" [attr.rowspan]="homeTotal.rowspan"  >{{homeTotal.date| date:'HH:mm:ss'}}</td>
          <td class='center next_bloc'>
            {{homeTotal.event == null ? "Refresh" : homeTotal.event.type}}
            {{homeTotal.event == null || homeTotal.event.warningType == null ? "" : "("+ homeTotal.event.warningType + ")"}}
          </td>
          <td class='center'>{{homeTotal.event == null ? "" : homeTotal.event.issuer}}</td>
          <td>{{homeTotal.event == null ? "" : homeTotal.event.beginDate | date:'HH:mm:ss'}}</td>
          <td>{{homeTotal.event == null ? "" : disaplyTime(homeTotal.event.endDate)}}</td>
          <td class="num">{{homeTotal.event == null ? "" : fnum2(homeTotal.event.power)}}</td>
          <td *ngIf= "homeTotal.rowspan > 0" [attr.rowspan]="homeTotal.rowspan" class="num txt_requested next_bloc">{{fnum2(homeTotal.requested)}}</td>
          <td *ngIf= "homeTotal.rowspan > 0" [attr.rowspan]="homeTotal.rowspan" class="num txt_produced">{{fnum2(homeTotal.produced)}}</td>
          <td *ngIf= "homeTotal.rowspan > 0" [attr.rowspan]="homeTotal.rowspan" class="num txt_provided">{{fnum2(homeTotal.provided)}}</td>
          <td *ngIf= "homeTotal.rowspan > 0" [attr.rowspan]="homeTotal.rowspan" class="num">{{fnum2(homeTotal.consumed)}}</td>
          <td *ngIf= "homeTotal.rowspan > 0" [attr.rowspan]="homeTotal.rowspan" class="num txt_ok">{{fnum2(homeTotal.available)}}</td>
          <td *ngIf= "homeTotal.rowspan > 0" [attr.rowspan]="homeTotal.rowspan" class="num txt_warning_high">{{fnum2(homeTotal.missing)}}</td>
          <td *ngIf= "homeTotal.rowspan > 0" [attr.rowspan]="homeTotal.rowspan" class="txt_warning_high next_bloc">{{homeTotal.consumersMissingRequests}}</td>
          <td *ngIf= "homeTotal.rowspan > 0" [attr.rowspan]="homeTotal.rowspan" class="txt_warning_high ">{{homeTotal.consumersWarningRequests}}</td>
          <td *ngIf= "homeTotal.rowspan > 0" [attr.rowspan]="homeTotal.rowspan" class="num {{getClassMissingRequests(homeTotal)}}" >{{fnum2(homeTotal.minMissingRequests)}}</td>
         <!--
            <td *ngIf= "homeTotal.rowspan > 0" [attr.rowspan]="homeTotal.rowspan" class=" {{getClassContractDoublons(homeTotal)}}">{{homeTotal.contractDoublons}}</td>
         -->
          <td class='next_bloc ' *ngIf= "homeTotal.rowspan > 0" [attr.rowspan]="homeTotal.rowspan" id="{{'TD_' + homeTotal.id}}">
              <div *ngIf="homeTotal.offers !=null">
                  <button  size="20"  (click)="displayOffers2(homeTotal.id);">{{homeTotal.offers.length}} offer{{homeTotal.nbOffers>1?'s':''}}</button>
                  <span class='display_none' id='offers_{{homeTotal.id}}' *ngIf="homeTotal.offers != null ">
                    <ng-container  *ngFor="let nextOffer of homeTotal.offers" scope="row" class="{{getClassOffer(nextOffer)}}">
                        <span  class="{{getClassOffer(nextOffer)}}"><br>{{offerToStr(nextOffer)}}</span>
                    </ng-container>
                  </span>
              </div>
          </td>
    </tr>
</tbody>
</table>



<!--  Model windows -->

<!-- Modal -->
<div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog">
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header" style="padding:35px 50px;">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4><span class="glyphicon glyphicon-lock"></span> Login</h4>
        </div>
        <div class="modal-body" style="padding:40px 50px;">
          <form role="form">
            <div class="form-group">
              <label for="usrname"><span class="glyphicon glyphicon-user"></span> Username</label>
              <input type="text" class="form-control" id="usrname" placeholder="Enter email">
            </div>
            <div class="form-group">
              <label for="psw"><span class="glyphicon glyphicon-eye-open"></span> Password</label>
              <input type="text" class="form-control" id="psw" placeholder="Enter password">
            </div>
            <div class="checkbox">
              <label><input type="checkbox" value="" checked>Remember me</label>
            </div>
              <button type="submit" class="btn btn-success btn-block"><span class="glyphicon glyphicon-off"></span> Login</button>
          </form>
        </div>
        <div class="modal-footer">
          <button type="submit" class="btn btn-danger btn-default pull-left" data-dismiss="modal"><span class="glyphicon glyphicon-remove"></span> Cancel</button>
          <p>Not a member? <a href="#">Sign Up</a></p>
          <p>Forgot <a href="#">Password?</a></p>
        </div>
      </div>
</div>